> For the complete documentation index, see [llms.txt](https://docs.tonic.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tonic.ai/app/api/quick-start-guide.md).

# Using the Structural API to perform tasks

{% hint style="info" %}
The examples and documentation are based on the most recently released version of the Tonic Structural API.
{% endhint %}

For more detailed information about the Structural API endpoints, parameters, and responses, go to the Structural generated [API documentation](/app/api/api-documentation.md#viewing-generated-api-documentation).

## Configure Structural

<table data-view="cards"><thead><tr><th></th><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>Configure environment settings</strong></td><td>Configure values of selected Structural environment settings.</td><td></td><td><a href="/app/api/quick-start-guide/tonic-api-configure-environment-settings.md">Configure environment settings</a></td></tr><tr><td><strong>Manage generator presets (Advanced API)</strong></td><td>Configure generator presets.</td><td></td><td><a href="/app/api/quick-start-guide/api-generator-presets.md">Manage generator presets</a></td></tr><tr><td><strong>Manage custom sensitivity rules (Advanced API)</strong></td><td>Define rules to detect sensitivity types that are specific to your data.</td><td></td><td><a href="/app/api/quick-start-guide/api-custom-sensitivity-rules.md">Manage custom sensitivity rules</a></td></tr></tbody></table>

## Connect to your data

<table data-view="cards"><thead><tr><th></th><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>Create a workspace</strong></td><td>Create a new workspace.</td><td></td><td><a href="/app/api/quick-start-guide/tonic-api-create-workspace.md">Create a workspace</a></td></tr><tr><td><strong>Connect to source and destination data</strong></td><td>Establish the connections to the source and destination databases.</td><td></td><td><a href="/app/api/quick-start-guide/tonic-api-data-connections.md">Connect to source and destination data</a></td></tr><tr><td><strong>Manage file groups</strong></td><td>Create and manage file groups in a file connector workspace.</td><td></td><td><a href="/app/api/quick-start-guide/tonic-api-file-groups.md">Manage file groups in a file connector workspace</a></td></tr></tbody></table>

## Configure and run data generation

<table data-view="cards"><thead><tr><th></th><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>Assign table modes (Advanced API)</strong></td><td>Assign table modes to tables in the source data.</td><td></td><td><a href="/app/api/quick-start-guide/tonic-api-table-modes.md">Assign table modes and filters to source database tables</a></td></tr><tr><td><strong>Set column sensitivity</strong></td><td>Indicate manually whether columns contain sensitive information.</td><td></td><td><a href="/app/api/quick-start-guide/tonic-api-column-sensitivity.md">Set column sensitivity</a></td></tr><tr><td><strong>Assign generators (Advanced API)</strong></td><td>Assign generators to source data columns.</td><td></td><td><a href="/app/api/quick-start-guide/tonic-api-generator-assignment.md">Assign generators to columns</a></td></tr><tr><td><strong>Update subsetting configuration (Advanced API)</strong></td><td>Configure subsetting to generate a smaller set of transformed data.</td><td></td><td><a href="/app/api/quick-start-guide/tonic-api-subsetting-config.md">Configure subsetting</a></td></tr><tr><td><strong>View and resolve schema changes</strong></td><td>View and resolve changes to the source data schema.</td><td></td><td><a href="/app/api/quick-start-guide/tonic-api-schema-changes.md">Check for and resolve schema changes</a></td></tr><tr><td><strong>Run data generation</strong></td><td>Start a data generation job.</td><td></td><td><a href="/app/api/quick-start-guide/tonic-api-data-generation.md">Run data generation jobs</a></td></tr><tr><td><strong>Schedule data generation</strong></td><td>Create and manage automated schedules for data generation.</td><td></td><td><a href="/app/api/quick-start-guide/api-data-generation-schedule.md">Schedule data generation jobs</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.tonic.ai/app/api/quick-start-guide.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
